package com.qmth.teachcloud.mark.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * AI评卷得分明细表
 * </p>
 *
 * @author wangliang
 * @since 2025-04-10
 */
@ApiModel(value = "MarkAiQuestionLevel对象", description = "AI评卷得分明细表")
public class MarkAiQuestionLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "AI评卷参数id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long aiQuestionId;

    @ApiModelProperty(value = "最小分值")
    private Double minScore;

    @ApiModelProperty(value = "最大分值")
    private Double maxScore;

    @ApiModelProperty(value = "标答")
    private String answer;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAiQuestionId() {
        return aiQuestionId;
    }

    public void setAiQuestionId(Long aiQuestionId) {
        this.aiQuestionId = aiQuestionId;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }
}
